<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1playlist_parser.html">playlistParser</a></li><li class="navelem"><a class="el" href="structalexa_client_s_d_k_1_1playlist_parser_1_1_m3_u_content.html">M3UContent</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">alexaClientSDK::playlistParser::M3UContent Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="structalexa_client_s_d_k_1_1playlist_parser_1_1_m3_u_content.html">alexaClientSDK::playlistParser::M3UContent</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="structalexa_client_s_d_k_1_1playlist_parser_1_1_m3_u_content.html#a19211bf0c6023408c23e75b7c0537d4a">empty</a>() const</td><td class="entry"><a class="el" href="structalexa_client_s_d_k_1_1playlist_parser_1_1_m3_u_content.html">alexaClientSDK::playlistParser::M3UContent</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="structalexa_client_s_d_k_1_1playlist_parser_1_1_m3_u_content.html#a17adcfc35dd689bd02ad7f0d889aef17">entries</a></td><td class="entry"><a class="el" href="structalexa_client_s_d_k_1_1playlist_parser_1_1_m3_u_content.html">alexaClientSDK::playlistParser::M3UContent</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="structalexa_client_s_d_k_1_1playlist_parser_1_1_m3_u_content.html#a026b4b8ea184fc39d5966ee166cab003">hasMediaSequence</a>() const</td><td class="entry"><a class="el" href="structalexa_client_s_d_k_1_1playlist_parser_1_1_m3_u_content.html">alexaClientSDK::playlistParser::M3UContent</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="structalexa_client_s_d_k_1_1playlist_parser_1_1_m3_u_content.html#a412e3b72a2c27e9911373f755950603a">isLive</a></td><td class="entry"><a class="el" href="structalexa_client_s_d_k_1_1playlist_parser_1_1_m3_u_content.html">alexaClientSDK::playlistParser::M3UContent</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="structalexa_client_s_d_k_1_1playlist_parser_1_1_m3_u_content.html#a62e3ebb32a5d7a90172ac08d760d8417">isMasterPlaylist</a>() const</td><td class="entry"><a class="el" href="structalexa_client_s_d_k_1_1playlist_parser_1_1_m3_u_content.html">alexaClientSDK::playlistParser::M3UContent</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="structalexa_client_s_d_k_1_1playlist_parser_1_1_m3_u_content.html#a34099893708ac7740df2324407c6ca39">M3UContent</a>(const std::vector&lt; std::string &gt; &amp;variantURLs)</td><td class="entry"><a class="el" href="structalexa_client_s_d_k_1_1playlist_parser_1_1_m3_u_content.html">alexaClientSDK::playlistParser::M3UContent</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="structalexa_client_s_d_k_1_1playlist_parser_1_1_m3_u_content.html#a59dfd3e4f0f02907e4e396820c0b1176">M3UContent</a>(const std::vector&lt; avsCommon::utils::playlistParser::PlaylistEntry &gt; &amp;entries, bool isLive, long mediaSequence=INVALID_MEDIA_SEQUENCE)</td><td class="entry"><a class="el" href="structalexa_client_s_d_k_1_1playlist_parser_1_1_m3_u_content.html">alexaClientSDK::playlistParser::M3UContent</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="structalexa_client_s_d_k_1_1playlist_parser_1_1_m3_u_content.html#af2479d2289348919cf51dada7c3d671d">mediaSequence</a></td><td class="entry"><a class="el" href="structalexa_client_s_d_k_1_1playlist_parser_1_1_m3_u_content.html">alexaClientSDK::playlistParser::M3UContent</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="structalexa_client_s_d_k_1_1playlist_parser_1_1_m3_u_content.html#a6a1e48fc13a9e4384c7c3ce7ce761f3d">variantURLs</a></td><td class="entry"><a class="el" href="structalexa_client_s_d_k_1_1playlist_parser_1_1_m3_u_content.html">alexaClientSDK::playlistParser::M3UContent</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
